Permalink
Browse files

add section on getting help

  • Loading branch information...
1 parent 0507edd commit ca20bdb9811e4b4ae93ad4069fb6cecf3c6da5cc @ombre42 committed May 23, 2013
Showing with 28 additions and 12 deletions.
  1. +14 −6 README.rst
  2. +14 −6 README.txt
View
@@ -17,19 +17,26 @@ You can install SudsLibrary using pip, with the following command
Binary installers are available on `PyPI`_, but they do not include Suds, a required package.
+Getting Help
+------------
+The `user group for Robot Framework`_ is the best place to get help. Consider including in the post:
+
+- Publicly accessible URL to the WSDL or an attachment containing the WSDL
+- Log file as attachment or an excerpt of it
+
Installation Using a Fork of Suds
---------------------------------
Development on the Suds project has appeared to cease. There are more than one forks of Suds that you may want to use. SudsLibrary was only tested with suds-jurko and the official suds package.
Here are three ways to setup for using a fork:
-1. If the fork is in PyPI:
-Set the environmental variable SUDS_LIBRARY_SUDS_REQUIREMENT to a valid requirement string, such as "suds-somefork > 0.5". When SudsLibrary is installed, the fork will be installed from PyPi to satisfy the requirement.
+#. If the fork is in PyPI:
+ Set the environmental variable SUDS_LIBRARY_SUDS_REQUIREMENT to a valid requirement string, such as "suds-somefork > 0.5". When SudsLibrary is installed, the fork will be installed from PyPi to satisfy the requirement.
-2. If the fork is not in PyPI or you have already installed it:
-Install the fork prior to SudsLibrary. Then set the environmental variable SUDS_LIBRARY_SUDS_REQUIREMENT to a space and install SudsLibrary. This essentially removes the installation dependency on Suds.
+#. If the fork is not in PyPI or you have already installed it:
+ Install the fork prior to SudsLibrary. Then set the environmental variable SUDS_LIBRARY_SUDS_REQUIREMENT to a space and install SudsLibrary. This essentially removes the installation dependency on Suds.
-3. Uninstall suds after installing SudsLibrary. Then install a fork.
+#. Uninstall suds after installing SudsLibrary. Then install a fork.
Jython Support
--------------
@@ -48,4 +55,5 @@ IronPython Support
Support under IronPython is unkown -- it has not been tested.
.. _Keyword Documentation: http://ombre42.github.com/robotframework-sudslibrary/doc/SudsLibrary.html
-.. _PyPI: https://pypi.python.org/pypi/robotframework-sudslibrary/
+.. _PyPI: https://pypi.python.org/pypi/robotframework-sudslibrary/
+.. _user group for Robot Framework: http://groups.google.com/group/robotframework-users
View
@@ -17,19 +17,26 @@ You can install SudsLibrary using pip, with the following command
Binary installers are available on `PyPI`_, but they do not include Suds, a required package.
+Getting Help
+------------
+The `user group for Robot Framework`_ is the best place to get help. Consider including in the post:
+
+- Publicly accessible URL to the WSDL or an attachment containing the WSDL
+- Log file as attachment or an excerpt of it
+
Installation Using a Fork of Suds
---------------------------------
Development on the Suds project has appeared to cease. There are more than one forks of Suds that you may want to use. SudsLibrary was only tested with suds-jurko and the official suds package.
Here are three ways to setup for using a fork:
-1. If the fork is in PyPI:
-Set the environmental variable SUDS_LIBRARY_SUDS_REQUIREMENT to a valid requirement string, such as "suds-somefork > 0.5". When SudsLibrary is installed, the fork will be installed from PyPi to satisfy the requirement.
+#. If the fork is in PyPI:
+ Set the environmental variable SUDS_LIBRARY_SUDS_REQUIREMENT to a valid requirement string, such as "suds-somefork > 0.5". When SudsLibrary is installed, the fork will be installed from PyPi to satisfy the requirement.
-2. If the fork is not in PyPI or you have already installed it:
-Install the fork prior to SudsLibrary. Then set the environmental variable SUDS_LIBRARY_SUDS_REQUIREMENT to a space and install SudsLibrary. This essentially removes the installation dependency on Suds.
+#. If the fork is not in PyPI or you have already installed it:
+ Install the fork prior to SudsLibrary. Then set the environmental variable SUDS_LIBRARY_SUDS_REQUIREMENT to a space and install SudsLibrary. This essentially removes the installation dependency on Suds.
-3. Uninstall suds after installing SudsLibrary. Then install a fork.
+#. Uninstall suds after installing SudsLibrary. Then install a fork.
Jython Support
--------------
@@ -48,4 +55,5 @@ IronPython Support
Support under IronPython is unkown -- it has not been tested.
.. _Keyword Documentation: http://ombre42.github.com/robotframework-sudslibrary/doc/SudsLibrary.html
-.. _PyPI: https://pypi.python.org/pypi/robotframework-sudslibrary/
+.. _PyPI: https://pypi.python.org/pypi/robotframework-sudslibrary/
+.. _user group for Robot Framework: http://groups.google.com/group/robotframework-users

0 comments on commit ca20bdb

Please sign in to comment.